[arch-commits] Commit in git/repos (16 files)

Christian Hesse eworm at archlinux.org
Sat Mar 25 19:12:26 UTC 2017


    Date: Saturday, March 25, 2017 @ 19:12:25
  Author: eworm
Revision: 291628

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  git/repos/testing-i686/PKGBUILD
    (from rev 291627, git/trunk/PKGBUILD)
  git/repos/testing-i686/git-daemon.socket
    (from rev 291627, git/trunk/git-daemon.socket)
  git/repos/testing-i686/git-daemon at .service
    (from rev 291627, git/trunk/git-daemon at .service)
  git/repos/testing-i686/git.install
    (from rev 291627, git/trunk/git.install)
  git/repos/testing-x86_64/PKGBUILD
    (from rev 291627, git/trunk/PKGBUILD)
  git/repos/testing-x86_64/git-daemon.socket
    (from rev 291627, git/trunk/git-daemon.socket)
  git/repos/testing-x86_64/git-daemon at .service
    (from rev 291627, git/trunk/git-daemon at .service)
  git/repos/testing-x86_64/git.install
    (from rev 291627, git/trunk/git.install)
Deleted:
  git/repos/testing-i686/PKGBUILD
  git/repos/testing-i686/git-daemon.socket
  git/repos/testing-i686/git-daemon at .service
  git/repos/testing-i686/git.install
  git/repos/testing-x86_64/PKGBUILD
  git/repos/testing-x86_64/git-daemon.socket
  git/repos/testing-x86_64/git-daemon at .service
  git/repos/testing-x86_64/git.install

------------------------------------+
 /PKGBUILD                          |  238 +++++++++++++++++++++++++++++++++++
 /git-daemon.socket                 |   18 ++
 /git-daemon at .service               |   20 ++
 /git.install                       |   24 +++
 testing-i686/PKGBUILD              |  119 -----------------
 testing-i686/git-daemon.socket     |    9 -
 testing-i686/git-daemon at .service   |   10 -
 testing-i686/git.install           |   12 -
 testing-x86_64/PKGBUILD            |  119 -----------------
 testing-x86_64/git-daemon.socket   |    9 -
 testing-x86_64/git-daemon at .service |   10 -
 testing-x86_64/git.install         |   12 -
 12 files changed, 300 insertions(+), 300 deletions(-)

Deleted: testing-i686/PKGBUILD
===================================================================
--- testing-i686/PKGBUILD	2017-03-25 19:12:18 UTC (rev 291627)
+++ testing-i686/PKGBUILD	2017-03-25 19:12:25 UTC (rev 291628)
@@ -1,119 +0,0 @@
-# $Id$
-# Maintainer: Dan McGee <dan at archlinux.org>
-
-pkgname=git
-pkgver=2.12.1
-pkgrel=2
-pkgdesc="the fast distributed version control system"
-arch=(i686 x86_64)
-url="http://git-scm.com/"
-license=('GPL2')
-depends=('curl' 'expat>=2.0' 'perl-error' 'perl>=5.14.0' 'openssl' 'pcre')
-makedepends=('python2' 'emacs' 'libgnome-keyring' 'xmlto' 'asciidoc')
-optdepends=('tk: gitk and git gui'
-            'perl-libwww: git svn'
-            'perl-term-readkey: git svn'
-            'perl-mime-tools: git send-email'
-            'perl-net-smtp-ssl: git send-email TLS support'
-            'perl-authen-sasl: git send-email TLS support'
-            'python2: various helper scripts'
-            'subversion: git svn'
-            'cvsps2: git cvsimport'
-            'gnome-keyring: GNOME keyring credential helper')
-replaces=('git-core')
-provides=('git-core')
-install=git.install
-validpgpkeys=('96E07AF25771955980DAD10020D04E5A713660A7') # Junio C Hamano
-source=("https://www.kernel.org/pub/software/scm/git/git-$pkgver.tar.xz"
-        "https://www.kernel.org/pub/software/scm/git/git-$pkgver.tar.sign"
-        git-daemon at .service
-        git-daemon.socket)
-sha256sums=('db11674364b764e101966d829a2e271c9b9d2a8bd4d8ecb4221a1dcdc9a3ada2'
-            'SKIP'
-            '3bc3250d9e04b05c41975c01f85f512d3386d60b41475cbc7292bc88148852f6'
-            'ac4c90d62c44926e6d30d18d97767efc901076d4e0283ed812a349aece72f203')
-
-build() {
-  export PYTHON_PATH='/usr/bin/python2'
-  cd "$srcdir/$pkgname-$pkgver"
-  make prefix=/usr gitexecdir=/usr/lib/git-core \
-    CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS" \
-    USE_LIBPCRE=1 \
-    NO_CROSS_DIRECTORY_HARDLINKS=1 \
-    MAN_BOLD_LITERAL=1 \
-    all doc
-
-  make -C contrib/emacs prefix=/usr
-  make -C contrib/credential/gnome-keyring
-  make -C contrib/credential/libsecret
-  make -C contrib/subtree prefix=/usr gitexecdir=/usr/lib/git-core all doc
-}
-
-check() {
-  export PYTHON_PATH='/usr/bin/python2'
-  cd "$srcdir/$pkgname-$pkgver"
-  local jobs
-  jobs=$(expr "$MAKEFLAGS" : '.*\(-j[0-9]*\).*') || true
-  mkdir -p /dev/shm/git-test
-  # explicitly specify SHELL to avoid a test failure in t/t9903-bash-prompt.sh
-  # which is caused by 'git rebase' trying to use builduser's SHELL inside the
-  # build chroot (i.e.: /usr/bin/nologin)
-  SHELL=/bin/sh \
-  make prefix=/usr gitexecdir=/usr/lib/git-core \
-    CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS" \
-    USE_LIBPCRE=1 \
-    NO_CROSS_DIRECTORY_HARDLINKS=1 \
-    MAN_BOLD_LITERAL=1 \
-    NO_SVN_TESTS=y \
-    DEFAULT_TEST_TARGET=prove \
-    GIT_PROVE_OPTS="$jobs -Q" \
-    GIT_TEST_OPTS="--root=/dev/shm/git-test" \
-    test
-}
-
-package() {
-  export PYTHON_PATH='/usr/bin/python2'
-  cd "$srcdir/$pkgname-$pkgver"
-  make prefix=/usr gitexecdir=/usr/lib/git-core \
-    CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS" \
-    USE_LIBPCRE=1 \
-    NO_CROSS_DIRECTORY_HARDLINKS=1 \
-    MAN_BOLD_LITERAL=1 \
-    INSTALLDIRS=vendor DESTDIR="$pkgdir" install install-doc
-
-  # bash completion
-  mkdir -p "$pkgdir"/usr/share/bash-completion/completions/
-  install -m644 ./contrib/completion/git-completion.bash "$pkgdir"/usr/share/bash-completion/completions/git
-  # fancy git prompt
-  mkdir -p "$pkgdir"/usr/share/git/
-  install -m644 ./contrib/completion/git-prompt.sh "$pkgdir"/usr/share/git/git-prompt.sh
-  # emacs
-  make -C contrib/emacs prefix=/usr DESTDIR="$pkgdir" install
-  # gnome credentials helper
-  install -m755 contrib/credential/gnome-keyring/git-credential-gnome-keyring \
-      "$pkgdir"/usr/lib/git-core/git-credential-gnome-keyring
-  make -C contrib/credential/gnome-keyring clean
-  # libsecret credentials helper
-  install -m755 contrib/credential/libsecret/git-credential-libsecret \
-      "$pkgdir"/usr/lib/git-core/git-credential-libsecret
-  make -C contrib/credential/libsecret clean
-  # subtree installation
-  make -C contrib/subtree prefix=/usr gitexecdir=/usr/lib/git-core DESTDIR="$pkgdir" install install-doc
-  # the rest of the contrib stuff
-  cp -a ./contrib/* $pkgdir/usr/share/git/
-
-  # scripts are for python 2.x
-  sed -i 's|#![ ]*/usr/bin/env python$|#!/usr/bin/env python2|' \
-    $(find "$pkgdir" -name '*.py') \
-    "$pkgdir"/usr/share/git/remote-helpers/git-remote-bzr \
-    "$pkgdir"/usr/share/git/remote-helpers/git-remote-hg
-  sed -i 's|#![ ]*/usr/bin/python$|#!/usr/bin/python2|' \
-    "$pkgdir"/usr/share/git/svn-fe/svnrdump_sim.py
-
-  # remove perllocal.pod, .packlist, and empty directories.
-  rm -rf "$pkgdir"/usr/lib/perl5
-
-  # git-daemon via systemd socket activation
-  install -D -m 644 "$srcdir"/git-daemon at .service "$pkgdir"/usr/lib/systemd/system/git-daemon at .service
-  install -D -m 644 "$srcdir"/git-daemon.socket "$pkgdir"/usr/lib/systemd/system/git-daemon.socket
-}

Copied: git/repos/testing-i686/PKGBUILD (from rev 291627, git/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2017-03-25 19:12:25 UTC (rev 291628)
@@ -0,0 +1,119 @@
+# $Id$
+# Maintainer: Dan McGee <dan at archlinux.org>
+
+pkgname=git
+pkgver=2.12.2
+pkgrel=1
+pkgdesc="the fast distributed version control system"
+arch=(i686 x86_64)
+url="http://git-scm.com/"
+license=('GPL2')
+depends=('curl' 'expat>=2.0' 'perl-error' 'perl>=5.14.0' 'openssl' 'pcre')
+makedepends=('python2' 'emacs' 'libgnome-keyring' 'xmlto' 'asciidoc')
+optdepends=('tk: gitk and git gui'
+            'perl-libwww: git svn'
+            'perl-term-readkey: git svn'
+            'perl-mime-tools: git send-email'
+            'perl-net-smtp-ssl: git send-email TLS support'
+            'perl-authen-sasl: git send-email TLS support'
+            'python2: various helper scripts'
+            'subversion: git svn'
+            'cvsps2: git cvsimport'
+            'gnome-keyring: GNOME keyring credential helper')
+replaces=('git-core')
+provides=('git-core')
+install=git.install
+validpgpkeys=('96E07AF25771955980DAD10020D04E5A713660A7') # Junio C Hamano
+source=("https://www.kernel.org/pub/software/scm/git/git-$pkgver.tar.xz"
+        "https://www.kernel.org/pub/software/scm/git/git-$pkgver.tar.sign"
+        git-daemon at .service
+        git-daemon.socket)
+sha256sums=('d21a9e23506e618d561fb25a8a7bd6134f927b86147930103487117a7a678c4a'
+            'SKIP'
+            '3bc3250d9e04b05c41975c01f85f512d3386d60b41475cbc7292bc88148852f6'
+            'ac4c90d62c44926e6d30d18d97767efc901076d4e0283ed812a349aece72f203')
+
+build() {
+  export PYTHON_PATH='/usr/bin/python2'
+  cd "$srcdir/$pkgname-$pkgver"
+  make prefix=/usr gitexecdir=/usr/lib/git-core \
+    CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS" \
+    USE_LIBPCRE=1 \
+    NO_CROSS_DIRECTORY_HARDLINKS=1 \
+    MAN_BOLD_LITERAL=1 \
+    all doc
+
+  make -C contrib/emacs prefix=/usr
+  make -C contrib/credential/gnome-keyring
+  make -C contrib/credential/libsecret
+  make -C contrib/subtree prefix=/usr gitexecdir=/usr/lib/git-core all doc
+}
+
+check() {
+  export PYTHON_PATH='/usr/bin/python2'
+  cd "$srcdir/$pkgname-$pkgver"
+  local jobs
+  jobs=$(expr "$MAKEFLAGS" : '.*\(-j[0-9]*\).*') || true
+  mkdir -p /dev/shm/git-test
+  # explicitly specify SHELL to avoid a test failure in t/t9903-bash-prompt.sh
+  # which is caused by 'git rebase' trying to use builduser's SHELL inside the
+  # build chroot (i.e.: /usr/bin/nologin)
+  SHELL=/bin/sh \
+  make prefix=/usr gitexecdir=/usr/lib/git-core \
+    CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS" \
+    USE_LIBPCRE=1 \
+    NO_CROSS_DIRECTORY_HARDLINKS=1 \
+    MAN_BOLD_LITERAL=1 \
+    NO_SVN_TESTS=y \
+    DEFAULT_TEST_TARGET=prove \
+    GIT_PROVE_OPTS="$jobs -Q" \
+    GIT_TEST_OPTS="--root=/dev/shm/git-test" \
+    test
+}
+
+package() {
+  export PYTHON_PATH='/usr/bin/python2'
+  cd "$srcdir/$pkgname-$pkgver"
+  make prefix=/usr gitexecdir=/usr/lib/git-core \
+    CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS" \
+    USE_LIBPCRE=1 \
+    NO_CROSS_DIRECTORY_HARDLINKS=1 \
+    MAN_BOLD_LITERAL=1 \
+    INSTALLDIRS=vendor DESTDIR="$pkgdir" install install-doc
+
+  # bash completion
+  mkdir -p "$pkgdir"/usr/share/bash-completion/completions/
+  install -m644 ./contrib/completion/git-completion.bash "$pkgdir"/usr/share/bash-completion/completions/git
+  # fancy git prompt
+  mkdir -p "$pkgdir"/usr/share/git/
+  install -m644 ./contrib/completion/git-prompt.sh "$pkgdir"/usr/share/git/git-prompt.sh
+  # emacs
+  make -C contrib/emacs prefix=/usr DESTDIR="$pkgdir" install
+  # gnome credentials helper
+  install -m755 contrib/credential/gnome-keyring/git-credential-gnome-keyring \
+      "$pkgdir"/usr/lib/git-core/git-credential-gnome-keyring
+  make -C contrib/credential/gnome-keyring clean
+  # libsecret credentials helper
+  install -m755 contrib/credential/libsecret/git-credential-libsecret \
+      "$pkgdir"/usr/lib/git-core/git-credential-libsecret
+  make -C contrib/credential/libsecret clean
+  # subtree installation
+  make -C contrib/subtree prefix=/usr gitexecdir=/usr/lib/git-core DESTDIR="$pkgdir" install install-doc
+  # the rest of the contrib stuff
+  cp -a ./contrib/* $pkgdir/usr/share/git/
+
+  # scripts are for python 2.x
+  sed -i 's|#![ ]*/usr/bin/env python$|#!/usr/bin/env python2|' \
+    $(find "$pkgdir" -name '*.py') \
+    "$pkgdir"/usr/share/git/remote-helpers/git-remote-bzr \
+    "$pkgdir"/usr/share/git/remote-helpers/git-remote-hg
+  sed -i 's|#![ ]*/usr/bin/python$|#!/usr/bin/python2|' \
+    "$pkgdir"/usr/share/git/svn-fe/svnrdump_sim.py
+
+  # remove perllocal.pod, .packlist, and empty directories.
+  rm -rf "$pkgdir"/usr/lib/perl5
+
+  # git-daemon via systemd socket activation
+  install -D -m 644 "$srcdir"/git-daemon at .service "$pkgdir"/usr/lib/systemd/system/git-daemon at .service
+  install -D -m 644 "$srcdir"/git-daemon.socket "$pkgdir"/usr/lib/systemd/system/git-daemon.socket
+}

Deleted: testing-i686/git-daemon.socket
===================================================================
--- testing-i686/git-daemon.socket	2017-03-25 19:12:18 UTC (rev 291627)
+++ testing-i686/git-daemon.socket	2017-03-25 19:12:25 UTC (rev 291628)
@@ -1,9 +0,0 @@
-[Unit]
-Description=Git Daemon Socket
-
-[Socket]
-ListenStream=9418
-Accept=true
-
-[Install]
-WantedBy=sockets.target

Copied: git/repos/testing-i686/git-daemon.socket (from rev 291627, git/trunk/git-daemon.socket)
===================================================================
--- testing-i686/git-daemon.socket	                        (rev 0)
+++ testing-i686/git-daemon.socket	2017-03-25 19:12:25 UTC (rev 291628)
@@ -0,0 +1,9 @@
+[Unit]
+Description=Git Daemon Socket
+
+[Socket]
+ListenStream=9418
+Accept=true
+
+[Install]
+WantedBy=sockets.target

Deleted: testing-i686/git-daemon at .service
===================================================================
--- testing-i686/git-daemon at .service	2017-03-25 19:12:18 UTC (rev 291627)
+++ testing-i686/git-daemon at .service	2017-03-25 19:12:25 UTC (rev 291628)
@@ -1,10 +0,0 @@
-[Unit]
-Description=Git Daemon Instance
-
-[Service]
-User=git
-# The '-' is to ignore non-zero exit statuses
-ExecStart=-/usr/lib/git-core/git-daemon --inetd --export-all --base-path=/srv/git
-StandardInput=socket
-StandardOutput=inherit
-StandardError=journal

Copied: git/repos/testing-i686/git-daemon at .service (from rev 291627, git/trunk/git-daemon at .service)
===================================================================
--- testing-i686/git-daemon at .service	                        (rev 0)
+++ testing-i686/git-daemon at .service	2017-03-25 19:12:25 UTC (rev 291628)
@@ -0,0 +1,10 @@
+[Unit]
+Description=Git Daemon Instance
+
+[Service]
+User=git
+# The '-' is to ignore non-zero exit statuses
+ExecStart=-/usr/lib/git-core/git-daemon --inetd --export-all --base-path=/srv/git
+StandardInput=socket
+StandardOutput=inherit
+StandardError=journal

Deleted: testing-i686/git.install
===================================================================
--- testing-i686/git.install	2017-03-25 19:12:18 UTC (rev 291627)
+++ testing-i686/git.install	2017-03-25 19:12:25 UTC (rev 291628)
@@ -1,12 +0,0 @@
-post_install() {
-  if ! getent group git >/dev/null; then
-    groupadd --system git 
-  fi
-  if ! getent passwd git >/dev/null; then
-    useradd --system -c 'git daemon user' -g git -d / -s /bin/bash git 
-  fi
-}
-
-post_upgrade() {
-  post_install $1
-}

Copied: git/repos/testing-i686/git.install (from rev 291627, git/trunk/git.install)
===================================================================
--- testing-i686/git.install	                        (rev 0)
+++ testing-i686/git.install	2017-03-25 19:12:25 UTC (rev 291628)
@@ -0,0 +1,12 @@
+post_install() {
+  if ! getent group git >/dev/null; then
+    groupadd --system git 
+  fi
+  if ! getent passwd git >/dev/null; then
+    useradd --system -c 'git daemon user' -g git -d / -s /bin/bash git 
+  fi
+}
+
+post_upgrade() {
+  post_install $1
+}

Deleted: testing-x86_64/PKGBUILD
===================================================================
--- testing-x86_64/PKGBUILD	2017-03-25 19:12:18 UTC (rev 291627)
+++ testing-x86_64/PKGBUILD	2017-03-25 19:12:25 UTC (rev 291628)
@@ -1,119 +0,0 @@
-# $Id$
-# Maintainer: Dan McGee <dan at archlinux.org>
-
-pkgname=git
-pkgver=2.12.1
-pkgrel=2
-pkgdesc="the fast distributed version control system"
-arch=(i686 x86_64)
-url="http://git-scm.com/"
-license=('GPL2')
-depends=('curl' 'expat>=2.0' 'perl-error' 'perl>=5.14.0' 'openssl' 'pcre')
-makedepends=('python2' 'emacs' 'libgnome-keyring' 'xmlto' 'asciidoc')
-optdepends=('tk: gitk and git gui'
-            'perl-libwww: git svn'
-            'perl-term-readkey: git svn'
-            'perl-mime-tools: git send-email'
-            'perl-net-smtp-ssl: git send-email TLS support'
-            'perl-authen-sasl: git send-email TLS support'
-            'python2: various helper scripts'
-            'subversion: git svn'
-            'cvsps2: git cvsimport'
-            'gnome-keyring: GNOME keyring credential helper')
-replaces=('git-core')
-provides=('git-core')
-install=git.install
-validpgpkeys=('96E07AF25771955980DAD10020D04E5A713660A7') # Junio C Hamano
-source=("https://www.kernel.org/pub/software/scm/git/git-$pkgver.tar.xz"
-        "https://www.kernel.org/pub/software/scm/git/git-$pkgver.tar.sign"
-        git-daemon at .service
-        git-daemon.socket)
-sha256sums=('db11674364b764e101966d829a2e271c9b9d2a8bd4d8ecb4221a1dcdc9a3ada2'
-            'SKIP'
-            '3bc3250d9e04b05c41975c01f85f512d3386d60b41475cbc7292bc88148852f6'
-            'ac4c90d62c44926e6d30d18d97767efc901076d4e0283ed812a349aece72f203')
-
-build() {
-  export PYTHON_PATH='/usr/bin/python2'
-  cd "$srcdir/$pkgname-$pkgver"
-  make prefix=/usr gitexecdir=/usr/lib/git-core \
-    CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS" \
-    USE_LIBPCRE=1 \
-    NO_CROSS_DIRECTORY_HARDLINKS=1 \
-    MAN_BOLD_LITERAL=1 \
-    all doc
-
-  make -C contrib/emacs prefix=/usr
-  make -C contrib/credential/gnome-keyring
-  make -C contrib/credential/libsecret
-  make -C contrib/subtree prefix=/usr gitexecdir=/usr/lib/git-core all doc
-}
-
-check() {
-  export PYTHON_PATH='/usr/bin/python2'
-  cd "$srcdir/$pkgname-$pkgver"
-  local jobs
-  jobs=$(expr "$MAKEFLAGS" : '.*\(-j[0-9]*\).*') || true
-  mkdir -p /dev/shm/git-test
-  # explicitly specify SHELL to avoid a test failure in t/t9903-bash-prompt.sh
-  # which is caused by 'git rebase' trying to use builduser's SHELL inside the
-  # build chroot (i.e.: /usr/bin/nologin)
-  SHELL=/bin/sh \
-  make prefix=/usr gitexecdir=/usr/lib/git-core \
-    CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS" \
-    USE_LIBPCRE=1 \
-    NO_CROSS_DIRECTORY_HARDLINKS=1 \
-    MAN_BOLD_LITERAL=1 \
-    NO_SVN_TESTS=y \
-    DEFAULT_TEST_TARGET=prove \
-    GIT_PROVE_OPTS="$jobs -Q" \
-    GIT_TEST_OPTS="--root=/dev/shm/git-test" \
-    test
-}
-
-package() {
-  export PYTHON_PATH='/usr/bin/python2'
-  cd "$srcdir/$pkgname-$pkgver"
-  make prefix=/usr gitexecdir=/usr/lib/git-core \
-    CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS" \
-    USE_LIBPCRE=1 \
-    NO_CROSS_DIRECTORY_HARDLINKS=1 \
-    MAN_BOLD_LITERAL=1 \
-    INSTALLDIRS=vendor DESTDIR="$pkgdir" install install-doc
-
-  # bash completion
-  mkdir -p "$pkgdir"/usr/share/bash-completion/completions/
-  install -m644 ./contrib/completion/git-completion.bash "$pkgdir"/usr/share/bash-completion/completions/git
-  # fancy git prompt
-  mkdir -p "$pkgdir"/usr/share/git/
-  install -m644 ./contrib/completion/git-prompt.sh "$pkgdir"/usr/share/git/git-prompt.sh
-  # emacs
-  make -C contrib/emacs prefix=/usr DESTDIR="$pkgdir" install
-  # gnome credentials helper
-  install -m755 contrib/credential/gnome-keyring/git-credential-gnome-keyring \
-      "$pkgdir"/usr/lib/git-core/git-credential-gnome-keyring
-  make -C contrib/credential/gnome-keyring clean
-  # libsecret credentials helper
-  install -m755 contrib/credential/libsecret/git-credential-libsecret \
-      "$pkgdir"/usr/lib/git-core/git-credential-libsecret
-  make -C contrib/credential/libsecret clean
-  # subtree installation
-  make -C contrib/subtree prefix=/usr gitexecdir=/usr/lib/git-core DESTDIR="$pkgdir" install install-doc
-  # the rest of the contrib stuff
-  cp -a ./contrib/* $pkgdir/usr/share/git/
-
-  # scripts are for python 2.x
-  sed -i 's|#![ ]*/usr/bin/env python$|#!/usr/bin/env python2|' \
-    $(find "$pkgdir" -name '*.py') \
-    "$pkgdir"/usr/share/git/remote-helpers/git-remote-bzr \
-    "$pkgdir"/usr/share/git/remote-helpers/git-remote-hg
-  sed -i 's|#![ ]*/usr/bin/python$|#!/usr/bin/python2|' \
-    "$pkgdir"/usr/share/git/svn-fe/svnrdump_sim.py
-
-  # remove perllocal.pod, .packlist, and empty directories.
-  rm -rf "$pkgdir"/usr/lib/perl5
-
-  # git-daemon via systemd socket activation
-  install -D -m 644 "$srcdir"/git-daemon at .service "$pkgdir"/usr/lib/systemd/system/git-daemon at .service
-  install -D -m 644 "$srcdir"/git-daemon.socket "$pkgdir"/usr/lib/systemd/system/git-daemon.socket
-}

Copied: git/repos/testing-x86_64/PKGBUILD (from rev 291627, git/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2017-03-25 19:12:25 UTC (rev 291628)
@@ -0,0 +1,119 @@
+# $Id$
+# Maintainer: Dan McGee <dan at archlinux.org>
+
+pkgname=git
+pkgver=2.12.2
+pkgrel=1
+pkgdesc="the fast distributed version control system"
+arch=(i686 x86_64)
+url="http://git-scm.com/"
+license=('GPL2')
+depends=('curl' 'expat>=2.0' 'perl-error' 'perl>=5.14.0' 'openssl' 'pcre')
+makedepends=('python2' 'emacs' 'libgnome-keyring' 'xmlto' 'asciidoc')
+optdepends=('tk: gitk and git gui'
+            'perl-libwww: git svn'
+            'perl-term-readkey: git svn'
+            'perl-mime-tools: git send-email'
+            'perl-net-smtp-ssl: git send-email TLS support'
+            'perl-authen-sasl: git send-email TLS support'
+            'python2: various helper scripts'
+            'subversion: git svn'
+            'cvsps2: git cvsimport'
+            'gnome-keyring: GNOME keyring credential helper')
+replaces=('git-core')
+provides=('git-core')
+install=git.install
+validpgpkeys=('96E07AF25771955980DAD10020D04E5A713660A7') # Junio C Hamano
+source=("https://www.kernel.org/pub/software/scm/git/git-$pkgver.tar.xz"
+        "https://www.kernel.org/pub/software/scm/git/git-$pkgver.tar.sign"
+        git-daemon at .service
+        git-daemon.socket)
+sha256sums=('d21a9e23506e618d561fb25a8a7bd6134f927b86147930103487117a7a678c4a'
+            'SKIP'
+            '3bc3250d9e04b05c41975c01f85f512d3386d60b41475cbc7292bc88148852f6'
+            'ac4c90d62c44926e6d30d18d97767efc901076d4e0283ed812a349aece72f203')
+
+build() {
+  export PYTHON_PATH='/usr/bin/python2'
+  cd "$srcdir/$pkgname-$pkgver"
+  make prefix=/usr gitexecdir=/usr/lib/git-core \
+    CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS" \
+    USE_LIBPCRE=1 \
+    NO_CROSS_DIRECTORY_HARDLINKS=1 \
+    MAN_BOLD_LITERAL=1 \
+    all doc
+
+  make -C contrib/emacs prefix=/usr
+  make -C contrib/credential/gnome-keyring
+  make -C contrib/credential/libsecret
+  make -C contrib/subtree prefix=/usr gitexecdir=/usr/lib/git-core all doc
+}
+
+check() {
+  export PYTHON_PATH='/usr/bin/python2'
+  cd "$srcdir/$pkgname-$pkgver"
+  local jobs
+  jobs=$(expr "$MAKEFLAGS" : '.*\(-j[0-9]*\).*') || true
+  mkdir -p /dev/shm/git-test
+  # explicitly specify SHELL to avoid a test failure in t/t9903-bash-prompt.sh
+  # which is caused by 'git rebase' trying to use builduser's SHELL inside the
+  # build chroot (i.e.: /usr/bin/nologin)
+  SHELL=/bin/sh \
+  make prefix=/usr gitexecdir=/usr/lib/git-core \
+    CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS" \
+    USE_LIBPCRE=1 \
+    NO_CROSS_DIRECTORY_HARDLINKS=1 \
+    MAN_BOLD_LITERAL=1 \
+    NO_SVN_TESTS=y \
+    DEFAULT_TEST_TARGET=prove \
+    GIT_PROVE_OPTS="$jobs -Q" \
+    GIT_TEST_OPTS="--root=/dev/shm/git-test" \
+    test
+}
+
+package() {
+  export PYTHON_PATH='/usr/bin/python2'
+  cd "$srcdir/$pkgname-$pkgver"
+  make prefix=/usr gitexecdir=/usr/lib/git-core \
+    CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS" \
+    USE_LIBPCRE=1 \
+    NO_CROSS_DIRECTORY_HARDLINKS=1 \
+    MAN_BOLD_LITERAL=1 \
+    INSTALLDIRS=vendor DESTDIR="$pkgdir" install install-doc
+
+  # bash completion
+  mkdir -p "$pkgdir"/usr/share/bash-completion/completions/
+  install -m644 ./contrib/completion/git-completion.bash "$pkgdir"/usr/share/bash-completion/completions/git
+  # fancy git prompt
+  mkdir -p "$pkgdir"/usr/share/git/
+  install -m644 ./contrib/completion/git-prompt.sh "$pkgdir"/usr/share/git/git-prompt.sh
+  # emacs
+  make -C contrib/emacs prefix=/usr DESTDIR="$pkgdir" install
+  # gnome credentials helper
+  install -m755 contrib/credential/gnome-keyring/git-credential-gnome-keyring \
+      "$pkgdir"/usr/lib/git-core/git-credential-gnome-keyring
+  make -C contrib/credential/gnome-keyring clean
+  # libsecret credentials helper
+  install -m755 contrib/credential/libsecret/git-credential-libsecret \
+      "$pkgdir"/usr/lib/git-core/git-credential-libsecret
+  make -C contrib/credential/libsecret clean
+  # subtree installation
+  make -C contrib/subtree prefix=/usr gitexecdir=/usr/lib/git-core DESTDIR="$pkgdir" install install-doc
+  # the rest of the contrib stuff
+  cp -a ./contrib/* $pkgdir/usr/share/git/
+
+  # scripts are for python 2.x
+  sed -i 's|#![ ]*/usr/bin/env python$|#!/usr/bin/env python2|' \
+    $(find "$pkgdir" -name '*.py') \
+    "$pkgdir"/usr/share/git/remote-helpers/git-remote-bzr \
+    "$pkgdir"/usr/share/git/remote-helpers/git-remote-hg
+  sed -i 's|#![ ]*/usr/bin/python$|#!/usr/bin/python2|' \
+    "$pkgdir"/usr/share/git/svn-fe/svnrdump_sim.py
+
+  # remove perllocal.pod, .packlist, and empty directories.
+  rm -rf "$pkgdir"/usr/lib/perl5
+
+  # git-daemon via systemd socket activation
+  install -D -m 644 "$srcdir"/git-daemon at .service "$pkgdir"/usr/lib/systemd/system/git-daemon at .service
+  install -D -m 644 "$srcdir"/git-daemon.socket "$pkgdir"/usr/lib/systemd/system/git-daemon.socket
+}

Deleted: testing-x86_64/git-daemon.socket
===================================================================
--- testing-x86_64/git-daemon.socket	2017-03-25 19:12:18 UTC (rev 291627)
+++ testing-x86_64/git-daemon.socket	2017-03-25 19:12:25 UTC (rev 291628)
@@ -1,9 +0,0 @@
-[Unit]
-Description=Git Daemon Socket
-
-[Socket]
-ListenStream=9418
-Accept=true
-
-[Install]
-WantedBy=sockets.target

Copied: git/repos/testing-x86_64/git-daemon.socket (from rev 291627, git/trunk/git-daemon.socket)
===================================================================
--- testing-x86_64/git-daemon.socket	                        (rev 0)
+++ testing-x86_64/git-daemon.socket	2017-03-25 19:12:25 UTC (rev 291628)
@@ -0,0 +1,9 @@
+[Unit]
+Description=Git Daemon Socket
+
+[Socket]
+ListenStream=9418
+Accept=true
+
+[Install]
+WantedBy=sockets.target

Deleted: testing-x86_64/git-daemon at .service
===================================================================
--- testing-x86_64/git-daemon at .service	2017-03-25 19:12:18 UTC (rev 291627)
+++ testing-x86_64/git-daemon at .service	2017-03-25 19:12:25 UTC (rev 291628)
@@ -1,10 +0,0 @@
-[Unit]
-Description=Git Daemon Instance
-
-[Service]
-User=git
-# The '-' is to ignore non-zero exit statuses
-ExecStart=-/usr/lib/git-core/git-daemon --inetd --export-all --base-path=/srv/git
-StandardInput=socket
-StandardOutput=inherit
-StandardError=journal

Copied: git/repos/testing-x86_64/git-daemon at .service (from rev 291627, git/trunk/git-daemon at .service)
===================================================================
--- testing-x86_64/git-daemon at .service	                        (rev 0)
+++ testing-x86_64/git-daemon at .service	2017-03-25 19:12:25 UTC (rev 291628)
@@ -0,0 +1,10 @@
+[Unit]
+Description=Git Daemon Instance
+
+[Service]
+User=git
+# The '-' is to ignore non-zero exit statuses
+ExecStart=-/usr/lib/git-core/git-daemon --inetd --export-all --base-path=/srv/git
+StandardInput=socket
+StandardOutput=inherit
+StandardError=journal

Deleted: testing-x86_64/git.install
===================================================================
--- testing-x86_64/git.install	2017-03-25 19:12:18 UTC (rev 291627)
+++ testing-x86_64/git.install	2017-03-25 19:12:25 UTC (rev 291628)
@@ -1,12 +0,0 @@
-post_install() {
-  if ! getent group git >/dev/null; then
-    groupadd --system git 
-  fi
-  if ! getent passwd git >/dev/null; then
-    useradd --system -c 'git daemon user' -g git -d / -s /bin/bash git 
-  fi
-}
-
-post_upgrade() {
-  post_install $1
-}

Copied: git/repos/testing-x86_64/git.install (from rev 291627, git/trunk/git.install)
===================================================================
--- testing-x86_64/git.install	                        (rev 0)
+++ testing-x86_64/git.install	2017-03-25 19:12:25 UTC (rev 291628)
@@ -0,0 +1,12 @@
+post_install() {
+  if ! getent group git >/dev/null; then
+    groupadd --system git 
+  fi
+  if ! getent passwd git >/dev/null; then
+    useradd --system -c 'git daemon user' -g git -d / -s /bin/bash git 
+  fi
+}
+
+post_upgrade() {
+  post_install $1
+}


More information about the arch-commits mailing list